- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Defines | Typedefs | Functions

# qxmlstream.h File Reference

`#include <QtCore/qiodevice.h>`
`#include <QtCore/qstring.h>`
`#include <QtCore/qvector.h>`
`#include <QtCore/qscopedpointer.h>`

Go to the source code of this file.

## Classes
class | QXmlStreamStringRef
class | QXmlStreamAttribute
class | QXmlStreamAttributes
class | QXmlStreamNamespaceDeclaration
class | QXmlStreamNotationDeclaration
class | QXmlStreamEntityDeclaration
class | QXmlStreamEntityResolver
class | QXmlStreamReader
class | QXmlStreamWriter
## Defines
#define | Q_XMLSTREAM_EXPORT Q_CORE_EXPORT
## Typedefs
typedef QVector < QXmlStreamNamespaceDeclaration > | QXmlStreamNamespaceDeclarations
typedef QVector < QXmlStreamNotationDeclaration > | QXmlStreamNotationDeclarations
typedef QVector < QXmlStreamEntityDeclaration > | QXmlStreamEntityDeclarations
## Functions
| Q_DECLARE_TYPEINFO (QXmlStreamAttribute, Q_MOVABLE_TYPE)
| Q_DECLARE_TYPEINFO (QXmlStreamNamespaceDeclaration, Q_MOVABLE_TYPE)
| Q_DECLARE_TYPEINFO (QXmlStreamNotationDeclaration, Q_MOVABLE_TYPE)
| Q_DECLARE_TYPEINFO (QXmlStreamEntityDeclaration, Q_MOVABLE_TYPE)

## Define Documentation

#define Q_XMLSTREAM_EXPORT Q_CORE_EXPORT

Search for all occurrences

Definition at line 97 of file qxmlstream.h.

## Typedef Documentation

typedef QVector<QXmlStreamNamespaceDeclaration> QXmlStreamNamespaceDeclarations

Search for all occurrences

Definition at line 224 of file qxmlstream.h.

typedef QVector<QXmlStreamNotationDeclaration> QXmlStreamNotationDeclarations

Search for all occurrences

Definition at line 248 of file qxmlstream.h.

typedef QVector<QXmlStreamEntityDeclaration> QXmlStreamEntityDeclarations

Search for all occurrences

Definition at line 277 of file qxmlstream.h.

## Function Documentation

Q_DECLARE_TYPEINFO | ( | QXmlStreamAttribute | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

Q_DECLARE_TYPEINFO | ( | QXmlStreamNamespaceDeclaration | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

Q_DECLARE_TYPEINFO | ( | QXmlStreamNotationDeclaration | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

Q_DECLARE_TYPEINFO | ( | QXmlStreamEntityDeclaration | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences